Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
2940::/12
First address
2940::
Last address
294f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
2940:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
4.9.2.ip6.arpa
Split into smaller subnets/24

2940::/12 makes 4,096 subnets of /24; the first 256 are listed.

Subnets
#SubnetLast address
12940::/242940:ff:ffff:ffff:ffff:ffff:ffff:ffff
22940:100::/242940:1ff:ffff:ffff:ffff:ffff:ffff:ffff
32940:200::/242940:2ff:ffff:ffff:ffff:ffff:ffff:ffff
42940:300::/242940:3ff:ffff:ffff:ffff:ffff:ffff:ffff
52940:400::/242940:4ff:ffff:ffff:ffff:ffff:ffff:ffff
62940:500::/242940:5ff:ffff:ffff:ffff:ffff:ffff:ffff
72940:600::/242940:6ff:ffff:ffff:ffff:ffff:ffff:ffff
82940:700::/242940:7ff:ffff:ffff:ffff:ffff:ffff:ffff
92940:800::/242940:8ff:ffff:ffff:ffff:ffff:ffff:ffff
102940:900::/242940:9ff:ffff:ffff:ffff:ffff:ffff:ffff
112940:a00::/242940:aff:ffff:ffff:ffff:ffff:ffff:ffff
122940:b00::/242940:bff:ffff:ffff:ffff:ffff:ffff:ffff
132940:c00::/242940:cff:ffff:ffff:ffff:ffff:ffff:ffff
142940:d00::/242940:dff:ffff:ffff:ffff:ffff:ffff:ffff
152940:e00::/242940:eff:ffff:ffff:ffff:ffff:ffff:ffff
162940:f00::/242940:fff:ffff:ffff:ffff:ffff:ffff:ffff
172940:1000::/242940:10ff:ffff:ffff:ffff:ffff:ffff:ffff
182940:1100::/242940:11ff:ffff:ffff:ffff:ffff:ffff:ffff
192940:1200::/242940:12ff:ffff:ffff:ffff:ffff:ffff:ffff
202940:1300::/242940:13ff:ffff:ffff:ffff:ffff:ffff:ffff
212940:1400::/242940:14ff:ffff:ffff:ffff:ffff:ffff:ffff
222940:1500::/242940:15ff:ffff:ffff:ffff:ffff:ffff:ffff
232940:1600::/242940:16ff:ffff:ffff:ffff:ffff:ffff:ffff
242940:1700::/242940:17ff:ffff:ffff:ffff:ffff:ffff:ffff
252940:1800::/242940:18ff:ffff:ffff:ffff:ffff:ffff:ffff
262940:1900::/242940:19ff:ffff:ffff:ffff:ffff:ffff:ffff
272940:1a00::/242940:1aff:ffff:ffff:ffff:ffff:ffff:ffff
282940:1b00::/242940:1bff:ffff:ffff:ffff:ffff:ffff:ffff
292940:1c00::/242940:1cff:ffff:ffff:ffff:ffff:ffff:ffff
302940:1d00::/242940:1dff:ffff:ffff:ffff:ffff:ffff:ffff
312940:1e00::/242940:1eff:ffff:ffff:ffff:ffff:ffff:ffff
322940:1f00::/242940:1fff:ffff:ffff:ffff:ffff:ffff:ffff
332940:2000::/242940:20ff:ffff:ffff:ffff:ffff:ffff:ffff
342940:2100::/242940:21ff:ffff:ffff:ffff:ffff:ffff:ffff
352940:2200::/242940:22ff:ffff:ffff:ffff:ffff:ffff:ffff
362940:2300::/242940:23ff:ffff:ffff:ffff:ffff:ffff:ffff
372940:2400::/242940:24ff:ffff:ffff:ffff:ffff:ffff:ffff
382940:2500::/242940:25ff:ffff:ffff:ffff:ffff:ffff:ffff
392940:2600::/242940:26ff:ffff:ffff:ffff:ffff:ffff:ffff
402940:2700::/242940:27ff:ffff:ffff:ffff:ffff:ffff:ffff
412940:2800::/242940:28ff:ffff:ffff:ffff:ffff:ffff:ffff
422940:2900::/242940:29ff:ffff:ffff:ffff:ffff:ffff:ffff
432940:2a00::/242940:2aff:ffff:ffff:ffff:ffff:ffff:ffff
442940:2b00::/242940:2bff:ffff:ffff:ffff:ffff:ffff:ffff
452940:2c00::/242940:2cff:ffff:ffff:ffff:ffff:ffff:ffff
462940:2d00::/242940:2dff:ffff:ffff:ffff:ffff:ffff:ffff
472940:2e00::/242940:2eff:ffff:ffff:ffff:ffff:ffff:ffff
482940:2f00::/242940:2fff:ffff:ffff:ffff:ffff:ffff:ffff
492940:3000::/242940:30ff:ffff:ffff:ffff:ffff:ffff:ffff
502940:3100::/242940:31ff:ffff:ffff:ffff:ffff:ffff:ffff
512940:3200::/242940:32ff:ffff:ffff:ffff:ffff:ffff:ffff
522940:3300::/242940:33ff:ffff:ffff:ffff:ffff:ffff:ffff
532940:3400::/242940:34ff:ffff:ffff:ffff:ffff:ffff:ffff
542940:3500::/242940:35ff:ffff:ffff:ffff:ffff:ffff:ffff
552940:3600::/242940:36ff:ffff:ffff:ffff:ffff:ffff:ffff
562940:3700::/242940:37ff:ffff:ffff:ffff:ffff:ffff:ffff
572940:3800::/242940:38ff:ffff:ffff:ffff:ffff:ffff:ffff
582940:3900::/242940:39ff:ffff:ffff:ffff:ffff:ffff:ffff
592940:3a00::/242940:3aff:ffff:ffff:ffff:ffff:ffff:ffff
602940:3b00::/242940:3bff:ffff:ffff:ffff:ffff:ffff:ffff
612940:3c00::/242940:3cff:ffff:ffff:ffff:ffff:ffff:ffff
622940:3d00::/242940:3dff:ffff:ffff:ffff:ffff:ffff:ffff
632940:3e00::/242940:3eff:ffff:ffff:ffff:ffff:ffff:ffff
642940:3f00::/242940:3fff:ffff:ffff:ffff:ffff:ffff:ffff
652940:4000::/242940:40ff:ffff:ffff:ffff:ffff:ffff:ffff
662940:4100::/242940:41ff:ffff:ffff:ffff:ffff:ffff:ffff
672940:4200::/242940:42ff:ffff:ffff:ffff:ffff:ffff:ffff
682940:4300::/242940:43ff:ffff:ffff:ffff:ffff:ffff:ffff
692940:4400::/242940:44ff:ffff:ffff:ffff:ffff:ffff:ffff
702940:4500::/242940:45ff:ffff:ffff:ffff:ffff:ffff:ffff
712940:4600::/242940:46ff:ffff:ffff:ffff:ffff:ffff:ffff
722940:4700::/242940:47ff:ffff:ffff:ffff:ffff:ffff:ffff
732940:4800::/242940:48ff:ffff:ffff:ffff:ffff:ffff:ffff
742940:4900::/242940:49ff:ffff:ffff:ffff:ffff:ffff:ffff
752940:4a00::/242940:4aff:ffff:ffff:ffff:ffff:ffff:ffff
762940:4b00::/242940:4bff:ffff:ffff:ffff:ffff:ffff:ffff
772940:4c00::/242940:4cff:ffff:ffff:ffff:ffff:ffff:ffff
782940:4d00::/242940:4dff:ffff:ffff:ffff:ffff:ffff:ffff
792940:4e00::/242940:4eff:ffff:ffff:ffff:ffff:ffff:ffff
802940:4f00::/242940:4fff:ffff:ffff:ffff:ffff:ffff:ffff
812940:5000::/242940:50ff:ffff:ffff:ffff:ffff:ffff:ffff
822940:5100::/242940:51ff:ffff:ffff:ffff:ffff:ffff:ffff
832940:5200::/242940:52ff:ffff:ffff:ffff:ffff:ffff:ffff
842940:5300::/242940:53ff:ffff:ffff:ffff:ffff:ffff:ffff
852940:5400::/242940:54ff:ffff:ffff:ffff:ffff:ffff:ffff
862940:5500::/242940:55ff:ffff:ffff:ffff:ffff:ffff:ffff
872940:5600::/242940:56ff:ffff:ffff:ffff:ffff:ffff:ffff
882940:5700::/242940:57ff:ffff:ffff:ffff:ffff:ffff:ffff
892940:5800::/242940:58ff:ffff:ffff:ffff:ffff:ffff:ffff
902940:5900::/242940:59ff:ffff:ffff:ffff:ffff:ffff:ffff
912940:5a00::/242940:5aff:ffff:ffff:ffff:ffff:ffff:ffff
922940:5b00::/242940:5bff:ffff:ffff:ffff:ffff:ffff:ffff
932940:5c00::/242940:5cff:ffff:ffff:ffff:ffff:ffff:ffff
942940:5d00::/242940:5dff:ffff:ffff:ffff:ffff:ffff:ffff
952940:5e00::/242940:5eff:ffff:ffff:ffff:ffff:ffff:ffff
962940:5f00::/242940:5fff:ffff:ffff:ffff:ffff:ffff:ffff
972940:6000::/242940:60ff:ffff:ffff:ffff:ffff:ffff:ffff
982940:6100::/242940:61ff:ffff:ffff:ffff:ffff:ffff:ffff
992940:6200::/242940:62ff:ffff:ffff:ffff:ffff:ffff:ffff
1002940:6300::/242940:63ff:ffff:ffff:ffff:ffff:ffff:ffff
1012940:6400::/242940:64ff:ffff:ffff:ffff:ffff:ffff:ffff
1022940:6500::/242940:65ff:ffff:ffff:ffff:ffff:ffff:ffff
1032940:6600::/242940:66ff:ffff:ffff:ffff:ffff:ffff:ffff
1042940:6700::/242940:67ff:ffff:ffff:ffff:ffff:ffff:ffff
1052940:6800::/242940:68ff:ffff:ffff:ffff:ffff:ffff:ffff
1062940:6900::/242940:69ff:ffff:ffff:ffff:ffff:ffff:ffff
1072940:6a00::/242940:6aff:ffff:ffff:ffff:ffff:ffff:ffff
1082940:6b00::/242940:6bff:ffff:ffff:ffff:ffff:ffff:ffff
1092940:6c00::/242940:6cff:ffff:ffff:ffff:ffff:ffff:ffff
1102940:6d00::/242940:6dff:ffff:ffff:ffff:ffff:ffff:ffff
1112940:6e00::/242940:6eff:ffff:ffff:ffff:ffff:ffff:ffff
1122940:6f00::/242940:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1132940:7000::/242940:70ff:ffff:ffff:ffff:ffff:ffff:ffff
1142940:7100::/242940:71ff:ffff:ffff:ffff:ffff:ffff:ffff
1152940:7200::/242940:72ff:ffff:ffff:ffff:ffff:ffff:ffff
1162940:7300::/242940:73ff:ffff:ffff:ffff:ffff:ffff:ffff
1172940:7400::/242940:74ff:ffff:ffff:ffff:ffff:ffff:ffff
1182940:7500::/242940:75ff:ffff:ffff:ffff:ffff:ffff:ffff
1192940:7600::/242940:76ff:ffff:ffff:ffff:ffff:ffff:ffff
1202940:7700::/242940:77ff:ffff:ffff:ffff:ffff:ffff:ffff
1212940:7800::/242940:78ff:ffff:ffff:ffff:ffff:ffff:ffff
1222940:7900::/242940:79ff:ffff:ffff:ffff:ffff:ffff:ffff
1232940:7a00::/242940:7aff:ffff:ffff:ffff:ffff:ffff:ffff
1242940:7b00::/242940:7bff:ffff:ffff:ffff:ffff:ffff:ffff
1252940:7c00::/242940:7cff:ffff:ffff:ffff:ffff:ffff:ffff
1262940:7d00::/242940:7dff:ffff:ffff:ffff:ffff:ffff:ffff
1272940:7e00::/242940:7eff:ffff:ffff:ffff:ffff:ffff:ffff
1282940:7f00::/242940:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1292940:8000::/242940:80ff:ffff:ffff:ffff:ffff:ffff:ffff
1302940:8100::/242940:81ff:ffff:ffff:ffff:ffff:ffff:ffff
1312940:8200::/242940:82ff:ffff:ffff:ffff:ffff:ffff:ffff
1322940:8300::/242940:83ff:ffff:ffff:ffff:ffff:ffff:ffff
1332940:8400::/242940:84ff:ffff:ffff:ffff:ffff:ffff:ffff
1342940:8500::/242940:85ff:ffff:ffff:ffff:ffff:ffff:ffff
1352940:8600::/242940:86ff:ffff:ffff:ffff:ffff:ffff:ffff
1362940:8700::/242940:87ff:ffff:ffff:ffff:ffff:ffff:ffff
1372940:8800::/242940:88ff:ffff:ffff:ffff:ffff:ffff:ffff
1382940:8900::/242940:89ff:ffff:ffff:ffff:ffff:ffff:ffff
1392940:8a00::/242940:8aff:ffff:ffff:ffff:ffff:ffff:ffff
1402940:8b00::/242940:8bff:ffff:ffff:ffff:ffff:ffff:ffff
1412940:8c00::/242940:8cff:ffff:ffff:ffff:ffff:ffff:ffff
1422940:8d00::/242940:8dff:ffff:ffff:ffff:ffff:ffff:ffff
1432940:8e00::/242940:8eff:ffff:ffff:ffff:ffff:ffff:ffff
1442940:8f00::/242940:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1452940:9000::/242940:90ff:ffff:ffff:ffff:ffff:ffff:ffff
1462940:9100::/242940:91ff:ffff:ffff:ffff:ffff:ffff:ffff
1472940:9200::/242940:92ff:ffff:ffff:ffff:ffff:ffff:ffff
1482940:9300::/242940:93ff:ffff:ffff:ffff:ffff:ffff:ffff
1492940:9400::/242940:94ff:ffff:ffff:ffff:ffff:ffff:ffff
1502940:9500::/242940:95ff:ffff:ffff:ffff:ffff:ffff:ffff
1512940:9600::/242940:96ff:ffff:ffff:ffff:ffff:ffff:ffff
1522940:9700::/242940:97ff:ffff:ffff:ffff:ffff:ffff:ffff
1532940:9800::/242940:98ff:ffff:ffff:ffff:ffff:ffff:ffff
1542940:9900::/242940:99ff:ffff:ffff:ffff:ffff:ffff:ffff
1552940:9a00::/242940:9aff:ffff:ffff:ffff:ffff:ffff:ffff
1562940:9b00::/242940:9bff:ffff:ffff:ffff:ffff:ffff:ffff
1572940:9c00::/242940:9cff:ffff:ffff:ffff:ffff:ffff:ffff
1582940:9d00::/242940:9dff:ffff:ffff:ffff:ffff:ffff:ffff
1592940:9e00::/242940:9eff:ffff:ffff:ffff:ffff:ffff:ffff
1602940:9f00::/242940:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1612940:a000::/242940:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
1622940:a100::/242940:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
1632940:a200::/242940:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
1642940:a300::/242940:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
1652940:a400::/242940:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
1662940:a500::/242940:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
1672940:a600::/242940:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
1682940:a700::/242940:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
1692940:a800::/242940:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
1702940:a900::/242940:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
1712940:aa00::/242940:aaff:ffff:ffff:ffff:ffff:ffff:ffff
1722940:ab00::/242940:abff:ffff:ffff:ffff:ffff:ffff:ffff
1732940:ac00::/242940:acff:ffff:ffff:ffff:ffff:ffff:ffff
1742940:ad00::/242940:adff:ffff:ffff:ffff:ffff:ffff:ffff
1752940:ae00::/242940:aeff:ffff:ffff:ffff:ffff:ffff:ffff
1762940:af00::/242940:afff:ffff:ffff:ffff:ffff:ffff:ffff
1772940:b000::/242940:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
1782940:b100::/242940:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
1792940:b200::/242940:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
1802940:b300::/242940:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
1812940:b400::/242940:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
1822940:b500::/242940:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
1832940:b600::/242940:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
1842940:b700::/242940:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
1852940:b800::/242940:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
1862940:b900::/242940:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
1872940:ba00::/242940:baff:ffff:ffff:ffff:ffff:ffff:ffff
1882940:bb00::/242940:bbff:ffff:ffff:ffff:ffff:ffff:ffff
1892940:bc00::/242940:bcff:ffff:ffff:ffff:ffff:ffff:ffff
1902940:bd00::/242940:bdff:ffff:ffff:ffff:ffff:ffff:ffff
1912940:be00::/242940:beff:ffff:ffff:ffff:ffff:ffff:ffff
1922940:bf00::/242940:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1932940:c000::/242940:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
1942940:c100::/242940:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
1952940:c200::/242940:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
1962940:c300::/242940:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
1972940:c400::/242940:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
1982940:c500::/242940:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
1992940:c600::/242940:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
2002940:c700::/242940:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
2012940:c800::/242940:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
2022940:c900::/242940:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
2032940:ca00::/242940:caff:ffff:ffff:ffff:ffff:ffff:ffff
2042940:cb00::/242940:cbff:ffff:ffff:ffff:ffff:ffff:ffff
2052940:cc00::/242940:ccff:ffff:ffff:ffff:ffff:ffff:ffff
2062940:cd00::/242940:cdff:ffff:ffff:ffff:ffff:ffff:ffff
2072940:ce00::/242940:ceff:ffff:ffff:ffff:ffff:ffff:ffff
2082940:cf00::/242940:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2092940:d000::/242940:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
2102940:d100::/242940:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
2112940:d200::/242940:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
2122940:d300::/242940:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
2132940:d400::/242940:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
2142940:d500::/242940:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
2152940:d600::/242940:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
2162940:d700::/242940:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
2172940:d800::/242940:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
2182940:d900::/242940:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
2192940:da00::/242940:daff:ffff:ffff:ffff:ffff:ffff:ffff
2202940:db00::/242940:dbff:ffff:ffff:ffff:ffff:ffff:ffff
2212940:dc00::/242940:dcff:ffff:ffff:ffff:ffff:ffff:ffff
2222940:dd00::/242940:ddff:ffff:ffff:ffff:ffff:ffff:ffff
2232940:de00::/242940:deff:ffff:ffff:ffff:ffff:ffff:ffff
2242940:df00::/242940:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2252940:e000::/242940:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
2262940:e100::/242940:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
2272940:e200::/242940:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
2282940:e300::/242940:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
2292940:e400::/242940:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
2302940:e500::/242940:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
2312940:e600::/242940:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
2322940:e700::/242940:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
2332940:e800::/242940:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
2342940:e900::/242940:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
2352940:ea00::/242940:eaff:ffff:ffff:ffff:ffff:ffff:ffff
2362940:eb00::/242940:ebff:ffff:ffff:ffff:ffff:ffff:ffff
2372940:ec00::/242940:ecff:ffff:ffff:ffff:ffff:ffff:ffff
2382940:ed00::/242940:edff:ffff:ffff:ffff:ffff:ffff:ffff
2392940:ee00::/242940:eeff:ffff:ffff:ffff:ffff:ffff:ffff
2402940:ef00::/242940:efff:ffff:ffff:ffff:ffff:ffff:ffff
2412940:f000::/242940:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
2422940:f100::/242940:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
2432940:f200::/242940:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
2442940:f300::/242940:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
2452940:f400::/242940:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
2462940:f500::/242940:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
2472940:f600::/242940:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
2482940:f700::/242940:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
2492940:f800::/242940:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
2502940:f900::/242940:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
2512940:fa00::/242940:faff:ffff:ffff:ffff:ffff:ffff:ffff
2522940:fb00::/242940:fbff:ffff:ffff:ffff:ffff:ffff:ffff
2532940:fc00::/242940:fcff:ffff:ffff:ffff:ffff:ffff:ffff
2542940:fd00::/242940:fdff:ffff:ffff:ffff:ffff:ffff:ffff
2552940:fe00::/242940:feff:ffff:ffff:ffff:ffff:ffff:ffff
2562940:ff00::/242940:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses